Jump to content


Sharpshooter kit won't install


2 replies to this topic

#1 Quester

  • Members
  • 56 posts
  • Gender:Male

Posted 04 January 2010 - 07:25 AM

All the other kits install fine, but Sharpshooter gives me an error.

ERROR: Failure("spcl423.spl: write out of bounds")

I can post complete debug file if someone is interested/still working on this mod.

#2 aVENGER_(RR)

    Sneaksie!

  • Fixpackers
  • 1008 posts
  • Gender:Male

Posted 04 January 2010 - 10:05 PM

Hmm, are you per chance trying to install Song and Silence after Rogue Rebalancing? If so, don't. It's supposed to be the other way around i.e. S&S first, RR last.

As for the error, S&S is trying to WRITE_BYTE to several locations without checking the file's contents first. This is not good as S&S assumes the default structure of that file and RR, for example, changes it. Here's the problematic code:

COPY_EXISTING ~spcl423.spl~ ~override/a!ss01.spl~
  WRITE_BYTE 0xac 0
  WRITE_BYTE 0xdc 0
  WRITE_BYTE 0x22c 0

At a guess, Andyr's intentions were to set the probability for applying melee poison effects to zero. If so, the proper code would be:

COPY_EXISTING ~spcl423.spl~ ~override/a!ss01.spl~
  READ_LONG  0x64 "abil_off" ELSE 0
  READ_SHORT 0x68 "abil_num" ELSE 0
  READ_LONG  0x6a "fx_off" ELSE 0
  FOR (index = 0; index < abil_num; index = index + 1) BEGIN
	READ_SHORT ("%abil_off%" + 0x1e + (0x28 * "%index%")) "abil_fx_num"
	READ_SHORT ("%abil_off%" + 0x20 + (0x28 * "%index%")) "abil_fx_idx"
	FOR (index2 = 0; index2 < abil_fx_num; index2 = index2 + 1) BEGIN
	  READ_SHORT ("%fx_off%" +		(("%abil_fx_idx%" + "%index2%") * 0x30)) "opcode"
	  PATCH_IF ("%opcode%" = "248") BEGIN  // opcode #248 (Set Melee Effect)
		WRITE_BYTE ("%fx_off%" + 0x12 + (0x30 * ("%index2%" + "%abil_fx_idx%"))) "0" // probability1: 0
	  END
	END
  END

Edited by aVENGER_(RR), 04 January 2010 - 10:36 PM.

Retired modder

Rogue Rebalancing - Author
aTweaks - Author
Wizard Slayer Rebalancing - Co-Author
BG2 Fixpack - Contributor

#3 Quester

  • Members
  • 56 posts
  • Gender:Male

Posted 05 January 2010 - 02:01 AM

I'm installing per the BWP. That is, first the main Song and Silence component and the store, then RR, then after the regular install is completed, I install kits.

Thank you for the code, but I'm afraid I'm a little too stupid for that to help me. :)

I don't think Andyr is around anymore? Perhaps someone who feels like it could supply a hotfix to put in the override?

Not that this is a big deal or anything, I can probably do without that particular kit. :)




Reply to this topic



  


1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users